var F1 binary;
var F2 binary;
var F3 binary;
var F4 binary;
var F5 binary;

s.t. Haggard : F1 +F3 + F4 >=1;
s.t. Stratovarius : F1 + F2 + F3 + F5 >=1;
s.t. Epica: F1 + F2 + F4 + F5 >=1;
s.t. Dalriada : F3 + F5 >=1;
s.t. Apocalyptica :  F4 >= 1;
s.t. Liva : F2 + F3 + F4 + F5 >=1;
s.t. Eluveite : F3 + F5 >=1;

minimize NumberOfFestivals: F1+F2+F3+F4+F5;